Description: Allow users to display their username instead of full name. We let users hide their email address but not their 

name?

History
2011-02-19 12:37 am - Ian Freeman
I'm aware of the configuration option in Admin->Display, but this issue intends to allow users to override that setting. It would be displayed as an 
override under My Account->Preferences as ??Hide real name???

2011-02-19 01:42 am - Eric Davis
- Subject changed from Optionally display username instead of full name to Allow users to manage how their name appears - first last, login, last first, 
etc

Ian Freeman,

Makes sense to me. I've updated the title.

2011-02-20 05:08 pm - Felix Schäfer
I've had the same thoughts and solved that by scrapping the first and last names and replaced them with a "displayed name" field where everyone can 
put whatever she wants. In truth, I've never understood why we should be "limited" to first and last name, what about the order (not the same in every 
language), titles, or custom names?

My proposal would be to just drop the first and last name fields and replace them with a "displayed name" (or similar) field where anyone can put what 
he wants.

2011-02-20 06:05 pm - Aleksey Zapparov
I partly agree with Felix, with few exceptions. I think first and last names fields should be kept. _Displayed name_ should become additional field. If it's 
not empty, then it is used as displayed name, otherwise standard (current) behavior is taken.

2011-02-21 09:16 pm - Felix Schäfer
Aleksey Zapparov wrote:
> _Displayed name_ should become additional field. If it's not empty, then it is used as displayed name, otherwise standard (current) behavior is taken.

Funny, that's exactly what I have implemented on one of my installations :-)

2011-02-21 11:14 pm - Eric Davis
Why do we need separate first and last names though? I think just a single Name field is all we need and then users can put whatever they want into 
there.

2011-02-22 10:32 am - Aleksey Zapparov
Well, my idea of keeping first and last names was because sometimes I want (for example) to be polite and start my message with

> Eric, ...
But in different cultures order of first and last name is different, so for example AFAIK in European it's standard to write: Firstname Middlename 
Lastname, while in Russia it's Lastname Firstname Middlename.

At least for me that was the only reason ;))

2011-02-22 11:55 pm - Eric Davis
Aleksey:

But for that case you can respond to me using my preference. So if I entered my name as "First Middle Last" you would see "Updated by Eric Davis...", 
if I wanted "Last First Middle" then you would see "Updated by Davis Eric...", and you could respond accordingly.

2011-02-23 08:14 am - Aleksey Zapparov
Well, I clearly understand your point of view. But, if I'll see _Updated by Davis Eric_ I will assume your name is Davis and will start my message as:

> Davis, ...

At least when somewhere my lastname appears on first place, people sends me e-mails starting with:

> Zapparov, ...

And to be honest that annoys me, as it reminds about USSR, where it was standard practice to call someone by his lastname.

With having "displayed name" as well as first and last names, will allow for example to someone put his own first name and lastname and put his 
nickname for example:

> ixti (Aleksey Zapparov)

So everywhere on the tracker it will be simply _ixti_, while on the user's details page it will be _ixti (Aleksey Zapparov)_ - just like on github.

This will allow to reply within tracker as:

> ixti, ...

As well as it will allow to get info about a real name in order to send a private e-mail for example.

2011-02-24 07:48 am - Ian Freeman
I don't see why the first and last name fields are required anyway. At a minimum all that's required to identify an individual is a username, which we are 
already displaying. I like the displayed field idea.

To Aleksey's concerns, I suggest that concerned individuals who wish to be addresses by their first name should put only their first name in the 
displayed field. I will just be setting my displayed name to the username.

2011-02-26 02:40 pm - Aleksey Zapparov
Well, I'm not against making first and last name fields optional. I'm against removing them completely. :))
